Developers
Read one model
GET
One model's Operations, prompt limits, input assets and options, as list_available_models lists them.
modelId*"seedream-5-5"Value in
"seedream-5-5"Success.
application/json- response
id*"seedream-5-5"Value in
"seedream-5-5"name*stringLength
1 <= lengthmediaType*stringValue in
"image""video""audio""music"provider*stringValue in
"kie""wavespeed""fal"available*booleandefaultOperation*stringValue in
"text-to-image""image-to-image""text-to-video""image-to-video""video-to-video""text-to-audio""text-to-music"operations*array<>Items
1 <= itemscurl -X GET 'https://ximagesplitter.com/api/v1/models/seedream-5-5'Example response
{ "id": "seedream-5-5", "name": "string", "mediaType": "image", "provider": "kie", "available": true, "defaultOperation": "text-to-image", "operations": [ { "id": "text-to-image", "outputMediaType": "image", "prompt": { "minLength": 0, "maxLength": 1 }, "negativePromptMaxLength": 1, "inputAssets": [ { "id": "string", "mediaType": "image", "role": "source", "required": true, "conditional": true, "maxFiles": 1, "maxFileBytes": 1, "mimeTypes": [ "string" ] } ], "options": [ { "id": "string", "kind": "string", "values": [ "string" ], "default": "string", "min": 0, "max": 0, "step": 0, "maxLength": 1, "conditional": true } ], "creditsAtDefaultOptions": 1 } ]}